html { font-size:62.5%; }

body {
    background-color: #a5a58d;
    font-family: sans-serif;
    font-size: 1.6rem;
    color: #1e1e1e;
}

/*header & nav*/
header h1{
    display: none
}

header {
    background-color:#6b705c;
    padding: 2%;
}

.flex {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

header img { margin-right: 1rem; }

header a {
    text-decoration: none;
    color: #fff;
}

.pro {
    margin-bottom: 1rem;
    margin-left: 1rem;
}

.img-pro {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

main > img {
    width: 90vw;
    display: block;
    margin-left: auto;
    margin-right: auto;

}

.img-pro img {
    height: 50rem;
}

/* icon */
.toggle-icon { margin-left: auto; }

.toggle-icon span{
    width: 4rem;
    height: 0.6rem;
    padding-right:2%;
    border-radius: 100px;
    display:block;
    background-color: #a5a58d;
    margin-bottom: 0.6rem;
}


/** styling the menu **/

.menu-links li {
    text-align: center;
    line-height: 40px;
}

.menu-links li:last-child {
    border-bottom: none;
}

.menu-links a { display: block;}

.menu-links a:hover {
    background-color: #6b705c;
    text-decoration: underline;
}

/** style and hide the nav **/
/* hiding the nav */

header nav {
    position: absolute;
    background-color: #6b705c;
    z-index: 2;
    top: 0%;
    left: 0%;
    width:30vw;
    max-height: 0;
    overflow: hidden;
    transition: all .6s ease-in-out;
    margin-left: -400%;
}


/* show the nav using the class that gets appended to the nav with the use of a js toggle function*/

.show-nav {
    max-height: 25rem;
    margin-left: 0.000000001%;
}

@media only screen and (min-width:660px) {
    
    .toggle-icon { display: none; }

    header nav {
        max-height: 10rem;
        position: static;
        width: auto;
    }

    .menu-links,
    header {
        display: flex;
        justify-content: space-between;
    }
    .menu-links li {
        padding: 0 0.5rem;
        margin: 0 0.3rem;
        border-bottom: none;
        border-top: 3px solid transparent;
    }

}
